@import 'https://fonts.googleapis.com/css?family=Pavanam';

/* Kalender */

body
{
    margin: 30px 10px 10px 10px;
    font-family: 'Pavanam', sans-serif;
    font-weight: normal;
    color: #444;
}

#wrapper
{
    text-align: center;
}

#cal
{
    max-width: 90%;
    display: inline-block;
}

.day, #previous, #next
{
    width: 120px;
    height: 124px;
    padding: 6px 8px 6px 8px;
    border: 1px solid #ddd;
    float: left;
    margin-right: 10px;
    margin-bottom: 10px;
    cursor: pointer;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    position: relative;
}

#previous
{
    background: url('../img/previous.svg') no-repeat;
}

#next
{
    background: url('../img/next.svg') no-repeat;
}

#previous, #next
{
    background-position: 12px 12px;
    border: none;
    width: 122px;
}

.day .dow
{
    display: block;
    float: left;
    margin-right: 6px;
    padding-top: 4px;
}

.day .circle
{
    float: left;
    display: inline-block;
    height: 28px;
    width: 28px;
    -moz-border-radius:28px;
    border-radius: 28px;
    background-color: #ff3136;
    text-align: center;
}

.day .dom
{
    float: left;
    padding-top: 4px;
    display: inline-block;
}

.day.today .dom
{
    float: none;
    display: inline;
    line-height: 28px;
    margin-left: 1px;
    color: white;
}

.day .point
{
    padding-top: 4px;
    float: left;
}

.day.today .point
{
    padding-top: 4px;
    padding-left: 3px;
    float: left;
}

.day .date
{
    padding-top: 7px;
    float: right;
    font-size: 0.8em;
    color: #bbb;
}

.day .drop
{
    width: 40px;
    height: 50px;
    margin-left: 43px;
    margin-top: 34px;
    margin-bottom: 12px;
    background: url(../img/drop.svg) no-repeat;
}

.day .rain
{
    width: 50px;
    height: 50px;
    margin-left: 36px;
    margin-top: 34px;
    margin-bottom: 12px;
}

.day .rain.slight
{
    background: url(../img/rain-slight.svg) no-repeat;
}

.day .rain.moderate
{
    background: url(../img/rain-moderate.svg) no-repeat;
}

.day .rain.heavy
{
    background: url(../img/rain-heavy.svg) no-repeat;
}

.day .soil
{
    width: 50px;
    height: 50px;
    margin-left: 35px;
    margin-top: 34px;
    margin-bottom: 12px;
}

.day .soil.dry
{
    background: url(../img/soil-dry.svg) no-repeat;
}

.day .name,
.day .mm,
.day .moist-value
{
    clear: both;
    float: none;
    display: block;
    margin-top: 0px;
    text-align: center;
    width: 108px;
    height: 16px;
    background-color: #41b8ea;
    color: white;
    padding: 2px 6px 5px 6px;
}

.day .moist-value
{
    position: absolute;
    top: 102px;
    left: 8px;
    display: none;
}

.day .moist-value .value-absolute
{
    font-size: 13px;
}

.mm-rain
{
    font-size: 12px;
}

.day .mm
{
    background-color: #459ddc;
}

.future
{
    opacity: 0.5;
}

.day .moist
{
    height: 4px;
    margin-top: 2px;
    position: absolute;
    top: 125px;
}

.moist-color-1 { background-color: #ff4b4b !important; }
.moist-color-2 { background-color: #ff4b4b !important; }
.moist-color-3 { background-color: #ff4b4b !important; }
.moist-color-4 { background-color: #41b8ea !important; }
.moist-color-5 { background-color: #41b8ea !important; }
.moist-color-6 { background-color: #41b8ea !important; }
.moist-color-7 { background-color: #41b8ea !important; }
.moist-color-8 { background-color: #41b8ea !important; }


/* Dialog */

.dialog
{
    background-color: rgba(255, 255, 255, 0.7);
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    position: absolute;
    text-align: center;
    padding-top: 30px;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.blur
{
    -webkit-filter: blur(5px);
    -moz-filter: blur(5px);
    -o-filter: blur(5px);
    -ms-filter: blur(5px);
    filter: blur(5px);
}

.date-info {
    color: #444;
    padding: 20px;
    font-size: 1.2em;
}

.person.button
{
    color: #41b8ea;
    background-color: rgba(255, 255, 255, 0.8);
    border-bottom: 1px solid #41b8ea;
    padding: 18px;
    padding-top: 12px;
    margin: 10px;
    width: 80%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0;
    margin-top: 0;
    padding-top: 20px;
    font-size: 1em;
    position: relative;
    cursor: pointer;
}

.person.checked
{
    background-color: rgba(65, 184, 234, 0.4);
    color: white;
}

.person.button.first
{
    border-top: 1px solid #41b8ea;
}

.person.button.cancel,
.person.button.delete
{
    color: #ff3136;
    border-color: #ff3136;
    border-bottom: 1px solid;
    margin-bottom: 40px;
    margin-top: 12px;
}

.person.button.cancel
{
    border-color: #aaa;
    color: #aaa;
}

.person.button.delete
{
    margin-top: 40px;
}

.person.button:hover
{
    background-color: #41b8ea;
    color: white;
}

.person.button.delete:hover
{
    background-color: #ff3136;
    border-color: #ff3136;
}

.person.button.cancel:hover
{
    background-color: #ddd;
    border-color: #ddd;
}

/* Spinner */

#spinner
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.1);
    padding: 0px auto;
    display: none;
    cursor: default;
}

#spinner-container
{
}

.spinner-icon
{
    display: inline-block;
    text-align: left;
    position: relative;
    top: 134px;
    height:60px;
    width:60px;
    -webkit-animation: rotation .6s infinite linear;
    -moz-animation: rotation .6s infinite linear;
    -o-animation: rotation .6s infinite linear;
    animation: rotation .6s infinite linear;
    border-left:6px solid rgba(0,174,239,.15);
    border-right:6px solid rgba(0,174,239,.15);
    border-bottom:6px solid rgba(0,174,239,.15);
    border-top:6px solid rgba(0,174,239,.8);
    border-radius:100%;
}

@-webkit-keyframes rotation
{
    from {-webkit-transform: rotate(0deg);}
    to {-webkit-transform: rotate(359deg);}
}
@-moz-keyframes rotation
{
    from {-moz-transform: rotate(0deg);}
    to {-moz-transform: rotate(359deg);}
}
@-o-keyframes rotation
{
    from {-o-transform: rotate(0deg);}
    to {-o-transform: rotate(359deg);}
}
@keyframes rotation
{
    from {transform: rotate(0deg);}
    to {transform: rotate(359deg);}
}
